Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.common.fxcrt.Point Class Reference

Type definition for point class for integer.
More...

## Public Member Functions
| Point ()
| Constructor.
| Point (int new_x, int new_y)
| Constructor, with parameters. More...
| Point (Point other)
| Copy constructor. More...
void | add (int x, int y)
| Add a point. More...
int | getX ()
| Get x coordinate of the point. More...
int | getY ()
| Get y coordinate of the point. More...
void | reset ()
| Reset to the base point. More...
void | set (int x, int y)
| Set values. More...
void | set (Point psv)
| Set values. More...
void | setX (int value)
| Set x coordinate of the point. More...
void | setY (int value)
| Set y coordinate of the point. More...
void | subtract (int x, int y)
| Subtract a point. More...

## Detailed Description

Type definition for point class for integer.

## Constructor & Destructor Documentation

## ◆ Point() [1/2]

com.foxit.sdk.common.fxcrt.Point.Point | ( | int | new_x,
|  | int | new_y
| ) |  |

Constructor, with parameters.

Parameters

  [in] | new_x | x coordinate of the point.
  [in] | new_y | y coordinate of the point.

## ◆ Point() [2/2]

com.foxit.sdk.common.fxcrt.Point.Point | ( | Point | other | ) |

Copy constructor.

Parameters

  [in] | other | Another object.

## Member Function Documentation

## ◆ add()

void com.foxit.sdk.common.fxcrt.Point.add | ( | int | x,
|  | int | y
| ) |  |

Add a point.

Parameters

  [in] | x | x coordinate of the subtrahend point.
  [in] | y | x coordinate of the subtrahend point.

Returns
  None.

## ◆ getX()

com.foxit.sdk.common.fxcrt.Point.getX | ( |  | ) |

Get x coordinate of the point.

Returns
  x coordinate of the point.

## ◆ getY()

com.foxit.sdk.common.fxcrt.Point.getY | ( |  | ) |

Get y coordinate of the point.

Returns
  y coordinate of the point.

## ◆ reset()

void com.foxit.sdk.common.fxcrt.Point.reset | ( |  | ) |

Reset to the base point.

Returns
  None.

## ◆ set() [1/2]

void com.foxit.sdk.common.fxcrt.Point.set | ( | int | x,
|  | int | y
| ) |  |

Set values.

Parameters

  [in] | x | x coordinate of the point.
  [in] | y | x coordinate of the point.

Returns
  None.

## ◆ set() [2/2]

void com.foxit.sdk.common.fxcrt.Point.set | ( | Point | psv | ) |

Set values.

Parameters

  [in] | psv | Another value object.

Returns
  None.

## ◆ setX()

com.foxit.sdk.common.fxcrt.Point.setX | ( | int | value | ) |

Set x coordinate of the point.

Parameters

  [in] | value | x coordinate of the point.

Returns
  None.

## ◆ setY()

com.foxit.sdk.common.fxcrt.Point.setY | ( | int | value | ) |

Set y coordinate of the point.

Parameters

  [in] | value | y coordinate of the point.

Returns
  None.

## ◆ subtract()

void com.foxit.sdk.common.fxcrt.Point.subtract | ( | int | x,
|  | int | y
| ) |  |

Subtract a point.

Parameters

  [in] | x | x coordinate of the addend point.
  [in] | y | x coordinate of the addend point.

Returns
  None.